unit IEPrintU;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  OleCtrls, SHDocVw, ExtCtrls, StdCtrls, ActnList, ImgList, ComCtrls,
  ToolWin, Menus;

type
  TForm1 = class(TForm)
    Panel1: TPanel;
    WebBrowser: TWebBrowser;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Print1: TMenuItem;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ImageList1: TImageList;
    ActionList1: TActionList;
    actPrintPage: TAction;
    edtURL: TEdit;
    procedure FormCreate(Sender: TObject);
    procedure actPrintPageExecute(Sender: TObject);
    procedure actPrintPageUpdate(Sender: TObject);
    procedure edtURLKeyPress(Sender: TObject; var Key: Char);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

uses
  ComObj;

procedure TForm1.FormCreate(Sender: TObject);
begin
  WebBrowser.Navigate(edtURL.Text)
end;

procedure TForm1.actPrintPageExecute(Sender: TObject);
begin
  try
    WebBrowser.ExecWB(OLECMDID_PRINT, OLECMDEXECOPT_PROMPTUSER)
  except
    on E: EOleException do
    begin
      E.Message := 'Printing cancelled';
      raise
    end
  end
end;

procedure TForm1.actPrintPageUpdate(Sender: TObject);
begin
  (Sender as TAction).Enabled :=
    WebBrowser.QueryStatusWB(OLECMDID_PRINT) or OLECMDF_ENABLED <> 0
end;

procedure TForm1.edtURLKeyPress(Sender: TObject; var Key: Char);
begin
  if Key = #13 then
  begin
    Key := #0;
    WebBrowser.Navigate(edtURL.Text)
  end
end;

end.
