program CorbaServer;
{$APPTYPE CONSOLE}
uses
  SysUtils,
  CORBA,
  DrBob42_c in 'DrBob42_c.pas',
  DrBob42_i in 'DrBob42_i.pas',
  DrBob42_impl in 'DrBob42_impl.pas',
  DrBob42_s in 'DrBob42_s.pas';

var
  Rate: Rates;
  Acct: Account;
  MyAcct: MyAccount;

begin
  CorbaInitialize;

  // Add CORBA server Code Here
  writeln('Init');
  Rate := TRatesSkeleton.Create('Rate', TRates.Create);
  writeln('Server Rate Object Created...');
  Acct := TAccountSkeleton.Create('Account', TAccount.Create);
  writeln('Server Account Object Created...');
  MyAcct := TMyAccountSkeleton.Create('MyAccount', TMyAccount.Create);
  writeln('Server MyAccount Object Created...');
  writeln;

  BOA.ObjIsReady(Rate);
  write('And ');
  BOA.ObjIsReady(Acct);
  write('the ');
  BOA.ObjIsReady(MyAcct);
  writeln('Server is ready...');
  BOA.ImplIsReady;
end.